Bug 4505 - update minimum version of Perl
Summary: update minimum version of Perl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) blocker (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-14 01:14 UTC by Galen Charlton
Modified: 2019-06-27 09:24 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:58 UTC


---- Reported by gmcharlt@gmail.com 2010-05-14 13:14:02 ----

The minimum version of Perl required by Koha is marked as 5.6.1.  Since MARC::Record requires at least 5.8.2, the requirement should be bumped up at least that far, and bumping it up to 5.8.8 (the current stable version in the 5.8.x series) makes sense.

At least two files would need to be changed:
Makefile.PL
installer/install.pl



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4505 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4505

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Galen Charlton 2010-05-24 11:52:20 UTC
Pushed patch.  Minimum required version is now 5.8.8.